!---Initial velocity set
      subroutine initial_velocity
      use variables
      use constants
      implicit double precision (a-h,o-z)
      integer*4 :: timeArray(3)

      if (ran_seed<0) then
!         ii=8293
         call itime(timeArray)
         ii=ii + timeArray(1) + timeArray(2) + timeArray(3)
      else
         ii=ran_seed
      endif
      do i=1,n
         x=0.0d0
         y=0.0d0
         z=0.0d0
         do 10 k=1,12
            ra=random(ii)
            x=x+ra
 10      continue
         do 20 k=1,12
            ra=random(ii)
            y=y+ra
 20      continue
         do 30 k=1,12
            ra=random(ii)
            z=z+ra
 30      continue
         vx(i)=sqrt(bl*temp_set/wm(i))*(x-6.0d0)
         vy(i)=sqrt(bl*temp_set/wm(i))*(y-6.0d0)
         vz(i)=sqrt(bl*temp_set/wm(i))*(z-6.0d0)
      enddo
      do i=1,n
         if (mfx(i)=='F') then;vx(i)=0.0d0;endif
         if (mfy(i)=='F') then;vy(i)=0.0d0;endif
         if (mfz(i)=='F') then;vz(i)=0.0d0;endif
      enddo
      end
!---random function---
      double precision function random(m)
      m=48828215*m
      if (m.lt.0) m=(m+2147483647)+1
      random=dble(m)/dble(2147483647)
      end
