*---calculation of force, total energy, and d(mat)---
      subroutine morseforce(nmax,nbook,n,rx,ry,rz,fx,fy,fz,idpt,knum
     &     ,hmat,rc,rc2,dmat,px,py,pz
     &     ,ep,al,ro
     &     ,enpoteach,enpot,wm,stressx,stressy,stressz,ef
     &     ,iban)
      implicit double precision (a-h,o-z)
      double precision rx(nmax,5),ry(nmax,5),rz(nmax,5)
      double precision px(nmax,5),py(nmax,5),pz(nmax,5)
      double precision fx(nmax,5),fy(nmax,5),fz(nmax,5)
      double precision hmat(3,3,5),dmat(3,3,5)
      double precision enpoteach(nmax)
c      double precision emtsig1(nmax),emtsig2(nmax)
      integer idpt(nbook),knum(nmax)
      double precision ki
      do 180 i=1,3
         do 190 j=1,3
            dmat(i,j,iban)=0.0d0
 190     continue
 180  continue
      stressx=0.0d0
      stressy=0.0d0
      stressz=0.0d0
      ef=0.0d0
      
      do 4400 i=1,n
         fx(i,iban)=0.0d0
         fy(i,iban)=0.0d0
         fz(i,iban)=0.0d0
         enpoteach(i)=0.0d0
 4400 continue
      kns=0
      do 4500 k=1,n-1
         kn=knum(k)
         if (kn.eq.0) go to 4500
         do 4600 jk=1,kn
            kns=kns+1
            j=idpt(kns)
            rxo=rx(k,iban)-rx(j,iban)
            ryo=ry(k,iban)-ry(j,iban)
            rzo=rz(k,iban)-rz(j,iban)
            fxx=0.0d0
            fyy=0.0d0
            fzz=0.0d0
            dd1=0.0d0
            dxx1=0.0d0
            dyy1=0.0d0
            dzz1=0.0d0
            dd2=0.0d0
            dxx2=0.0d0
            dyy2=0.0d0
            dzz2=0.0d0
            ki=0.0d0
            ff=0.0d0
            xx=rxo
            yy=ryo
            zz=rzo
            a1=hmat(1,1,iban)
            a2=hmat(2,1,iban)
            a3=hmat(3,1,iban)
            a4=hmat(1,2,iban)
            a5=hmat(2,2,iban)
            a6=hmat(3,2,iban)
            a7=hmat(1,3,iban)
            a8=hmat(2,3,iban)
            a9=hmat(3,3,iban)
            
            if (abs(xx).ge.rc) then
             if (xx.gt.0.0) then
                xx=xx-a1
                yy=yy-a2
                zz=zz-a3
             else if (xx.lt.0.0) then
                xx=xx+a1
                yy=yy+a2
                zz=zz+a3
             endif
            endif
            if (abs(yy).ge.rc) then
             if (yy.gt.0.0) then
                xx=xx-a4
                yy=yy-a5
                zz=zz-a6
             else if (yy.lt.0.0) then
                xx=xx+a4
                yy=yy+a5
                zz=zz+a6
             endif
            endif
            if (abs(zz).ge.rc) then
             if (zz.gt.0.0) then
                xx=xx-a7
                yy=yy-a8
                zz=zz-a9
             else if (zz.lt.0.0) then
                xx=xx+a7
                yy=yy+a8
                zz=zz+a9
             endif
            endif
            r2=xx**2+yy**2+zz**2
            if (r2.lt.rc2) then
               r=sqrt(r2)
c               rr=r*1.0d10
               f=2.0d0*al*ep
     &              *(exp(-2.0d0*al*(r-ro))-exp(-al*(r-ro)))
               ene=ep*(exp(-2.0d0*al*(r-ro))
     &              -2.0d0*exp(-al*(r-ro)))
               enpoteach(i)=enpoteach(i)+ene
               enpoteach(j)=enpoteach(j)+ene

               dxx1=f/r*xx
               dyy1=f/r*yy
               dzz1=f/r*zz
               dxx2=dxx1
               dyy2=dyy1
               dzz2=dzz1
               rxo=xx
               ryo=yy
               rzo=zz
               ff=f/r*r2
               ki=f/r
            endif
            fx(k,iban)=fx(k,iban)+dxx1
            fy(k,iban)=fy(k,iban)+dyy1
            fz(k,iban)=fz(k,iban)+dzz1
            fx(j,iban)=fx(j,iban)-dxx2
            fy(j,iban)=fy(j,iban)-dyy2
            fz(j,iban)=fz(j,iban)-dzz2
            stressx=stressx-rxo*dxx1
            stressy=stressy-ryo*dyy1
            stressz=stressz-rzo*dzz1
            ef=ef+ff
            dmat(1,1,iban)=dmat(1,1,iban)+ki*rxo**2
            dmat(2,1,iban)=dmat(2,1,iban)+ki*rxo*ryo
            dmat(3,1,iban)=dmat(3,1,iban)+ki*rxo*rzo
            dmat(1,2,iban)=dmat(1,2,iban)+ki*rxo*ryo
            dmat(2,2,iban)=dmat(2,2,iban)+ki*ryo**2
            dmat(3,2,iban)=dmat(3,2,iban)+ki*ryo*rzo
            dmat(1,3,iban)=dmat(1,3,iban)+ki*rxo*rzo
            dmat(2,3,iban)=dmat(2,3,iban)+ki*ryo*rzo
            dmat(3,3,iban)=dmat(3,3,iban)+ki*rzo**2
 4600    continue
 4500 continue
      do 4700 i=1,n
         a1=px(i,iban)
         a2=py(i,iban)
         a3=pz(i,iban)
         dmat(1,1,iban)=dmat(1,1,iban)+a1**2/wm
         dmat(2,1,iban)=dmat(2,1,iban)+a1*a2/wm
         dmat(3,1,iban)=dmat(3,1,iban)+a1*a3/wm
         dmat(1,2,iban)=dmat(1,2,iban)+a1*a2/wm
         dmat(2,2,iban)=dmat(2,2,iban)+a2**2/wm
         dmat(3,2,iban)=dmat(3,2,iban)+a2*a3/wm
         dmat(1,3,iban)=dmat(1,3,iban)+a1*a3/wm
         dmat(2,3,iban)=dmat(2,3,iban)+a2*a3/wm
         dmat(3,3,iban)=dmat(3,3,iban)+a3**2/wm
 4700      continue
C---Etot---
      enpot=0.0d0
      do i=1,n
         enpot=enpot+enpoteach(i)
      enddo
      end

